org.eclipse.viatra.dse.statecoding

## Class IncrementalObjectProvider

- java.lang.Object
- - org.eclipse.viatra.dse.statecoding.IncrementalObjectProvider

- All Implemented Interfaces:
    IObjectsProvider

      public class IncrementalObjectProvider
      extends java.lang.Object
      implements IObjectsProvider

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncrementalObjectProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<org.eclipse.emf.ecore.EObject>` | `getEObjects(org.eclipse.emf.ecore.EClass eClass)` Returns the instances of an `EClass` in a model.
    `void` | `init(org.eclipse.emf.common.notify.Notifier notifier, StatecodingDependencyGraph statecodingDependencyGraph)` Initialize the `IObjectsProvider` on a given model and `StatecodingDependencyGraph`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IncrementalObjectProvider

          public IncrementalObjectProvider()

  - ### Method Detail

    - #### init

          public void init(org.eclipse.emf.common.notify.Notifier notifier,
                           StatecodingDependencyGraph statecodingDependencyGraph)

      Description copied from interface: `IObjectsProvider`
      Initialize the `IObjectsProvider` on a given model and `StatecodingDependencyGraph`.
      Specified by:
        `init` in interface `IObjectsProvider`
      Parameters:
        `notifier` - The root of the model.
        `statecodingDependencyGraph` - The state coding dependency graph.

    - #### getEObjects

          public java.util.Collection<org.eclipse.emf.ecore.EObject> getEObjects(org.eclipse.emf.ecore.EClass eClass)

      Description copied from interface: `IObjectsProvider`
      Returns the instances of an `EClass` in a model.
      Specified by:
        `getEObjects` in interface `IObjectsProvider`
      Parameters:
        `eClass` - The class of the objects.
      Returns:
        The collection of the instances.